Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.application
Class ApplicationFactory

    java.lang.Object
      javax.faces.application.ApplicationFactory

All Implemented Interfaces:
  FacesWrapper<ApplicationFactory>

    public abstract class ApplicationFactory

extends java.lang.Object
implements FacesWrapper<ApplicationFactory>

ApplicationFactory is a factory object that creates (if needed) and returns `Application` instances. Implementations of JavaServer Faces must provide at least a default implementation of `Application`.

There must be one `ApplicationFactory` instance per web application that is utilizing JavaServer Faces. This instance can be acquired, in a portable manner, by calling:

       ApplicationFactory factory = (ApplicationFactory)
        FactoryFinder.getFactory(FactoryFinder.APPLICATION_FACTORY);

Constructor Summary
`ApplicationFactory()`

Method Summary
`abstract Application` | `getApplication()` Create (if needed) and return an `Application` instance for this web application.
`ApplicationFactory` | `getWrapped()` If this factory has been decorated, the implementation doing the decorating may override this method to provide access to the implementation being wrapped.
`abstract void` | `setApplication(Application application)` Replace the `Application` instance that will be returned for this web application.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ApplicationFactory

    public ApplicationFactory()

Method Detail

### getWrapped

    public ApplicationFactory getWrapped()

  If this factory has been decorated, the implementation doing the decorating may override this method to provide access to the implementation being wrapped. A default implementation is provided that returns `null`.

  Specified by:
    `getWrapped` in interface `FacesWrapper<ApplicationFactory>`
  Since:
    2.0

### getApplication

    public abstract Application getApplication()

  Create (if needed) and return an `Application` instance for this web application.

### setApplication

    public abstract void setApplication(Application application)

  Replace the `Application` instance that will be returned for this web application.

  Parameters:
    `application` - The replacement `Application` instance
  Throws:
    `java.lang.NullPointerException` - if `application` is `null`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002-2010 Oracle America Inc, Inc. All Rights Reserved.